OSEC

Neohapsis is currently accepting applications for employment. For more information, please visit our website www.neohapsis.com or email hr@neohapsis.com
 
[RE]:relay_domains after spamassassin scan

From: nik600 hotmail (nik600hotmail.com)
Date: Mon Aug 08 2005 - 08:49:54 CDT


i have resolved the problem making a simple variant in the antispam script:

#!/bin/sh

# Simple shell-based filter. It is meant to be invoked as follows:
# /path/to/script -f sender recipients...

# Localize these. The -G option does nothing before Postfix 2.3.
INSPECT_DIR=/var/spool/filter
SENDMAIL="/usr/sbin/sendmail -G -i -t"

# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69

# Clean up when done or when aborting.
trap "rm -f in.$$" 0 1 2 3 15

# Start processing.
cd $INSPECT_DIR || {
echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }

cat >in.$$ || {
echo Cannot save mail to file; exit $EX_TEMPFAIL; }

# Specify your content filter here.

/usr/bin/spamassassin <in.$$ > /tmp/filtered || {
echo Message content rejected; exit $EX_UNAVAILABLE; }

# $SENDMAIL "$" <in.$$

$SENDMAIL < /tmp/filtered

rm /tmp/filtered

exit $?

i send the output of spamassassin in a file, and then i send the mail taking
it from the file, i thing that it can be danger if my mail server will
receive many mail in a short period of time...

i'vr tried this command:

$SENDMAIL < /usr/bin/spamassassin <in.$$

but it will send the the original email, without tag it as SPAM ... do you
think that my solutions isn' good?